# Commit files

Endpoint: POST /code/api/v1/repos/{repo_identifier}/commits
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `actions` (array,null)

  - `actions.action` (string)
    Enum: "CREATE", "UPDATE", "DELETE", "MOVE", "PATCH_TEXT"

  - `actions.encoding` (string)
    Enum: "base64", "utf8"

  - `actions.path` (string)

  - `actions.payload` (string)

  - `actions.sha` (string)
    Git object hash

  - `author` (object,null)

  - `author.email` (string)

  - `author.name` (string)

  - `branch` (string)

  - `bypass_rules` (boolean)

  - `dry_run_rules` (boolean)

  - `message` (string)

  - `new_branch` (string)

  - `title` (string)

## Response 200 fields (application/json):

  - `changed_files` (array,null)

  - `changed_files.blob_sha` (string)
    Git object hash

  - `changed_files.path` (string)

  - `commit_id` (string)
    Git object hash

  - `dry_run_rules` (boolean)

  - `rule_violations` (array)

  - `rule_violations.bypassable` (boolean)

  - `rule_violations.bypassed` (boolean)

  - `rule_violations.rule` (object)

  - `rule_violations.rule.identifier` (string)

  - `rule_violations.rule.repo_path` (string)

  - `rule_violations.rule.space_path` (string)

  - `rule_violations.rule.state` (string,null)
    Enum: "active", "disabled", "monitor"

  - `rule_violations.rule.type` (string)
    Enum: "branch", "push", "tag"

  - `rule_violations.violations` (array,null)

  - `rule_violations.violations.code` (string)

  - `rule_violations.violations.message` (string)

  - `rule_violations.violations.params` (array,null)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)

## Response 422 fields (application/json):

  - `message` (string)

  - `violations` (array,null)


